Bug 222220 - [NEW PORT] deskutils/noti: Trigger notifications when a process completes
Summary: [NEW PORT] deskutils/noti: Trigger notifications when a process completes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-11 10:50 UTC by Hiroki Tagato
Modified: 2017-10-18 14:47 UTC (History)
1 user (show)

See Also:


Attachments
Shar file (1.85 KB, text/plain)
2017-09-11 10:50 UTC, Hiroki Tagato
no flags Details
Poudriere build log (12.29 KB, text/plain)
2017-09-11 10:52 UTC, Hiroki Tagato
no flags Details
Shar file (v2.7.0) (1.85 KB, application/x-shar)
2017-10-16 12:26 UTC, Hiroki Tagato
no flags Details
Revised shar file (v2.7.0) (1.89 KB, text/plain)
2017-10-18 10:14 UTC, Hiroki Tagato
no flags Details
Poudriere build log for v2.7.0 (21.57 KB, text/x-log)
2017-10-18 10:15 UTC, Hiroki Tagato
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroki Tagato 2017-09-11 10:50:41 UTC
Created attachment 186250 [details]
Shar file

A handy tool which let you know when a command/script finishes.
Comment 1 Hiroki Tagato 2017-09-11 10:52:27 UTC
Created attachment 186251 [details]
Poudriere build log
Comment 2 Hiroki Tagato 2017-10-16 12:26:12 UTC
Created attachment 187214 [details]
Shar file (v2.7.0)

Update to v2.7.0.
Comment 3 Tobias Kortkamp freebsd_committer 2017-10-17 09:14:31 UTC
When I try it out it prints

	Install 'notify-send' and try again

If I install libnotify then it works fine, so should it be added to
RUN_DEPENDS?
Comment 4 Hiroki Tagato 2017-10-18 10:12:17 UTC
(In reply to Tobias Kortkamp from comment #3)

Thanks a lot for the feedback. You are absolutely right.
Retrying with a RUN_DEPENDS as suggested this time.
# I should have tested on a fresh FreeBSD installation.

Thanks.
Comment 5 Hiroki Tagato 2017-10-18 10:14:18 UTC
Created attachment 187269 [details]
Revised shar file (v2.7.0)
Comment 6 Hiroki Tagato 2017-10-18 10:15:15 UTC
Created attachment 187270 [details]
Poudriere build log for v2.7.0
Comment 7 Tobias Kortkamp freebsd_committer 2017-10-18 14:47:28 UTC
Committed with some minor changes.  Thanks!
Comment 8 commit-hook freebsd_committer 2017-10-18 14:47:37 UTC
A commit references this bug:

Author: tobik
Date: Wed Oct 18 14:47:06 UTC 2017
New revision: 452339
URL: https://svnweb.freebsd.org/changeset/ports/452339

Log:
  New port: deskutils/noti

  Trigger notifications when a process completes.

  Never sit and wait for some long-running process to finish! noti will
  alert you when it's done-on your computer or smartphone-so you can
  stop worrying about constantly checking the terminal.

  WWW: https://github.com/variadico/noti

  PR:		222220
  Submitted by:	Hiroki Tagato <tagattie@yandex.com>

Changes:
  head/deskutils/Makefile
  head/deskutils/noti/
  head/deskutils/noti/Makefile
  head/deskutils/noti/distinfo
  head/deskutils/noti/pkg-descr